@charset "utf-8";

/*
關於CSS設定說明
CSS屬性是會繼承的，而且還是由上往下繼承。
同樣元素設定16px 後 12px 再 15px 最後會以最後設定的15px為準
但是有兩種情況除外:
1.絕對路徑命名. 如: .xx .yy .zz p {設定值;}
2.important.  如: .xx p {設定值 !important;}

CSS3選取器語法 :nth-child(n) 

*/

@import url('https://fonts.googleapis.com/css2?family=Noto+Serif+TC:wght@200..900&display=swap');
/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*上方選單解除滑動固定
.header_area.sticky { position:relative;}
*/


/*上方選單右邊設定 臉書/LINE/電話/信箱
.tp_links a:before {寬高大小設定}
.tp_links a.me_tp_fb {}
.tp_links a.me_tp_fb:before {背景換圖/建議.SVG}
.tp_links a.me_tp_line {}
.tp_links a.me_tp_line:before {背景換圖/建議.SVG}
.tp_links a.me_tp_call {}
.tp_links a.me_tp_call:before {背景換圖/建議.SVG}
.tp_links a.me_tp_mail {}
.tp_links a.me_tp_mail:before {背景換圖/建議.SVG}
*/


/*電腦LOGO
.nav-brand {}
*/

/*手機LOGO
.nav-brand-m {}
*/

/* 商品下拉超過30個變大 */
.stellarnav.desktop li.bigMenu>ul{display: grid; grid-template-columns: repeat(auto-fill, minmax(220px, 1fr)); left: 0; width: 100%; position: fixed; padding: 20px;}
.stellarnav.desktop li.bigMenu ul ul{top: 100%; left: 0; width: 100%; background: #efefef; height: auto; max-height: 300px; overflow: auto;}
.stellarnav.desktop li.bigMenu ul ul li{margin: 0;} 
.stellarnav.hasBigMenu li.bigMenu li.has-sub > a:after{border-left: 6px solid transparent; border-bottom:unset; border-right: 6px solid transparent; border-top: 6px solid #898989; right: 5px;}
/* 主分類超過30個但次分類直接顯示 
.stellarnav.desktop li.bigMenu>ul{grid-gap: 10px;}
.stellarnav.desktop li.bigMenu li{border: 0;}
.stellarnav.desktop li.bigMenu>ul>li>a{border: 1px solid #ddd;}
.stellarnav.desktop li.bigMenu ul ul{display: block !important; position: relative; top: 0; background: unset; border: 0;}
.stellarnav.desktop li.bigMenu ul ul li{border: 0;}
 主分類超過30個但次分類直接顯示-結束 */

/* 商品下拉超過30個--結束 */


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*預設購物車版面 產品分類選單在左側 商品內頁詳細介紹下表單更改樣式 by shint at 2025.12.18  */
.product_page .main_part { max-width:1500px;}

.product_page .show_content,
.product_info_page .show_content { display: flex; justify-content: space-between; flex-wrap: wrap; align-items: flex-start; align-content: flex-start; width: 100%;}
ul.page { width: 100%;}

.ProdFilter_Item_Show { width: 100%;}
.Prods_Menulists { width: 100%; padding: 0;}
.Prods_Wrap { width: calc(100% - 270px);}

/* 篩選器-左手邊 / 產品分類-上面
.ProdFilter_ { order: 2;}
.Prods_Menulists { order: 1;}
.Prods_Wrap { order: 3;}
.ProdFilter_ { width: 250px; letter-spacing: 1px;}
.ProdFilter_ li { width: 100%;}
.ProdFilter_ li > a { background: #f3f3f3; border: none; border-bottom: 3px #ddd solid;}
.ProdFilter_ dl { position: static; width: 100%; display: block;}
*/

/* 產品分類-左手邊 / 篩選器-上面 */

.ProdFilter_ { order: 1; margin-bottom: 25px;}
.Prods_Menulists { order: 2;}
.Prods_Wrap { order: 3;}
.Prods_Menulists { width: 250px; letter-spacing: 1px;}
.Prods_Menulists ul {}
.Prods_Menulists > ul > li { width: 100%; flex-wrap: wrap;}
.Prods_Menulists ul ul { position: static; border: none;}
.Prods_Menulists ul li ul li {}
.Prods_Menulists li.has-sub.open > a { background: #f0f0f0;}

.product_info_page .half_box { width: 100%; float: none; padding-right: 0;}
.product_info_page .half_box li.btn_blankTop { margin-top: 50px; justify-content: space-between; display: flex;}
.product_info_page .half_box li.btn_blankTop input { width: calc(50% - 10px); background-image: none; padding: 0; text-align: center;}

@media screen and (max-width: 1200px) {
}
@media screen and (max-width: 1024px) {
.product_main { display: block; width: 100%;}    
.sidebarBtn { display: block; width: 100%;}
}
@media screen and (max-width: 980px) {
}
@media screen and (max-width: 768px) {
/* 篩選器-左手邊 / 產品分類-上面
.Prods_Wrap { width: 100%;}
.ProdFilter_ { width: 100%;}
.ProdFilter_Item_Show { width: calc(100% - 110px);}
.ProdFilter_ { order: 1;}
.Prods_Menulists { order: 2;}
.ProdFilter_ li > a span { color: #333;}
*/

.Prods_Wrap { width: 100%; margin-top: 20px;}
.ProdFilter_ { width: 100%;}
.Prods_Menulists { opacity: 0; display: none;}

}
@media screen and (max-width: 600px) {
}


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */

/* 2025.12.26 中間放大*/
.BannerHome02 .swiper-slide-active img { transform: scale(1);}
.BannerHome02 .swiperBan02 .swiper-slide img { transition: transform 5s ease-out; will-change: transform; transform: scale(1);}
.BannerHome02 .swiperBan02 .swiper-slide-active img { transform: scale(1.06);}


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*==== bannerindex ===================================*/

.bannerindex {
    z-index: 1;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    position: relative;
    --swiper-navigation-color: #dfdfdf;
    --swiper-pagination-color: #dfdfdf;
    --swiper-pagination-bullet-inactive-color: #dfdfdf;
    --swiper-pagination-bullet-size: 10px;
    --swiper-pagination-bullet-inactive-opacity: .5;
    --swiper-pagination-bullet-horizontal-gap: 5px;
}
.BannerHome03 .swiperBan03 .swiper-slide img {
    display: block;
    width: 100%;
    height: auto;
    object-fit: cover;
}


/* Slogan */
.bannerindex .swiper-slide-active:nth-child(1)::before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background-image: url(https://pic03.eapple.com.tw/long1/bn-slogan01.png);
    background-position: left;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 3;
    opacity: 1;
    pointer-events: none;
    animation: slide-bottom 1.8s cubic-bezier(1, 0.01, 0.44, 1) both;
}
.bannerindex .swiper-slide-active:nth-child(2)::after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background-image: url(https://pic03.eapple.com.tw/long1/bn-slogan02.png);
    background-position: left;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 3;
    opacity: 1;
    pointer-events: none;
    animation: slide-top 1.8s cubic-bezier(1, 0.01, 0.44, 1) both;
}
@keyframes slide-top {
  0% {
    transform: translateY(50px);
  }
  100% {
    transform: translateY(0px);
  }
}
@keyframes slide-bottom {
  0% {
    transform: translateY(-50px);
  }
  100% {
    transform: translateY(0px);
  }
}

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*==== header ===================================*/

.header_area {
    position: fixed;
    z-index: 25;
    padding: 10px;
    background: #F6F1DB;
    width: 100%;
    transition: 1s;
    animation: slide-bottom 1.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
    animation-delay: 1s;
}
@keyframes slide-bottom {
  0% {
    transform: translateY(-100px);
  }
  100% {
    transform: translateY(0px);
  }
}


.header_area.sticky {
    width: 100%;
    background: #ffffff;
}
.main_header_area .container {
    max-width: 99%;
    margin: auto;
    transition: 1s;
}
.header_area.sticky .main_header_area .container {
    max-width: 100%;
}
.navigation {
    width: 100%;
    position: relative;
    padding: 0;
    display: grid;
    grid-template-columns: auto 1fr;
    grid-gap: 0 20px;
}
.nav-header {
    max-width: 300px;
    transition: 1s;
}
.header_area.sticky .nav-header {
    max-width: 250px;
}

/*選單按鈕*/

.stellarnav {
    position: relative;
    width: 100%;
    z-index: 9900;
    line-height: normal;
    display: grid;
    grid-row: 2;
    align-items: center;
}
.stellarnav > ul > li {
    display: inline-block;
    margin: 0 10px;
}
.stellarnav > ul > li > a {
    padding: 0;
    color: #000000;
    text-transform: uppercase;
    position: relative;
    display: inline-block;
    font-family: "Noto Serif TC", serif;
    font-size: 15px;
    font-weight: 700;
    letter-spacing: 0.03em;
    line-height: 40px;
    height: 40px;
    margin: 0 5px;
    overflow: hidden;
    cursor: pointer;
    text-align: center;
    transition: 1s;
}
.stellarnav > ul > li > a:hover {
    color: #333333;
}
.stellarnav > ul > li > a b:nth-of-type(1){
    font-weight: 700;
    font-size: 16px;
}
.stellarnav > ul > li > a b:nth-of-type(2){
    font-weight: 700;
    font-size: 14px;
    color: #9D7844;
}

.stellarnav > ul > li:nth-of-type(7) > a {
    padding: 0px 25px;
    border-radius: 40px;
    border: 1px #888157 solid;
    background: #888157;
    color: #ffffff;
}
.stellarnav > ul > li:nth-of-type(7) > a:hover {
    background: #DDC798;
    border: 1px #DDC798 solid;
    color: #ffffff;
}
/*下拉箭頭*/
.stellarnav li.has-sub > a:after {
    content: '';
    margin-left: 10px;
    width: 8px;
    height: 8px;
    border-left: unset;
    border-right: 1px solid #000000;
    border-top: 1px solid #000000;
    display: inline-block;
    position: absolute;
    top: 50%;
    right: 4px;
    transform: translateY(-70%) rotate(135deg);
}

/*選單購物車列*/
.me_tp_features {
    display: none;
}


/*==== footer ===================================*/

footer.footer.with_shopping_mode::after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background-image: url(https://pic03.eapple.com.tw/long1/footer.jpg);
    background-position: left;
    background-repeat: no-repeat;
    background-size: cover;
    z-index: -1;
}

.footer_info {
    padding: 0;
    display: flex;
    grid-gap: 20px;
    padding-right: 0px;
    flex-direction: column;
    padding: 20px;
}

.footer_info ul {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
}

/*位置控制*/
.footer_info li:nth-child(1) {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 0 20px;
    grid-template-areas: 
        "title fb"   
        "tel1  ig"   
        "tel2  mail" 
        "line  time"
        "addr  addr ";
}

/* 將子元素對應到區塊名 */
.footer_info li p.taxid { grid-area: title; }
.footer_info li p.add   { grid-area: addr; }
.footer_info li p.add2  { grid-area: time; }
.footer_info li p.tel   { grid-area: tel1; }
.footer_info li p.tel2  { grid-area: tel2; }
.footer_info li p.line  { grid-area: line; }
.footer_info li p.mail  { grid-area: mail; }
.footer_info li p.fb_link { grid-area: fb; }
.footer_info li p.ig_link { grid-area: ig; }

.footer_info li p.add2:before {
    content: '營業時間：';
}
.footer_menu {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.footer_menu a {
    display: inline-block;
    padding: 5px 7px;
    border: unset;
    margin: 0 4px 4px 0;
    font-size: 15px;
    line-height: 100%;
    color: #333333;
    background: unset;
    font-family: "Noto Serif TC", serif;
    font-weight: 700;
    letter-spacing: 0.1em;
    transition: .3s;
}
.footer_menu a:hover {
    background: unset;
    color: #9D7844;
}
.footer_menu a:nth-of-type(1) {
    display: none;
}


.box_link {
    position: absolute;
    top: unset;
    right: unset;
    left: 0;
    bottom: 0;
    width: auto;
    max-width: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
    flex-wrap: nowrap;
    flex-direction: row;
    max-height: 100%;
}
.box_link a {
    display: block;
    width: 40px;
    border: unset;
    border-radius: 5px;
    padding: 5px;
    font-size: 24px;
    text-align: center;
    margin: 2px;
    color: #333333;
}
.box_link a.me_tp_call {
    display: none; /*手機icon*/
}
.box_link a.me_tp_mail {
    display: none; /*信箱icon*/
}

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*內頁BANNER 設定*/
.banner {}
.banner h5 {}
.banner.banA {}
.banner.banB {}
.banner.banC {}
.banner.banD {}
.banner.banE {}
.banner.banblog {}
.banner.banDesign { background-color:#333;}

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*文章設定*/
/*一排呈現
.subbox_item { width:100%;}
*/
  

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*相本分類全版面 ( 限制最寬2000px
.work_page .main_part { max-width:2000px;}
.work_page .show_content { padding:0; width:100%;}
.work_page .show-list .item { width:33%; display:inline-block; float:none; margin:0; padding:0;}
@media screen and (max-width: 768px) {
.work_page .show-list .item { width:49%;}
}
@media screen and (max-width: 570px) {
.work_page .show-list .item { width:100%;}
}
.work_page .show-list .item a { max-width:100%;}
.work_page .show-list .show_pic { height:auto; line-height:0;}
.work_page .show-list .show_pic img { max-width:100%; max-height:100%;}
.work_page .show-list .show_name { position:absolute; top:50%; right:10%; width:80%; height:auto; line-height:160%; font-size: 20px; color: #FFFFFF !important; border: solid 1px #fff; text-align: center; margin: -20px 0 0 -120px; padding:5px 20px; transition:all ease-in 1s; opacity:0;}
.work_page .show-list .item:hover .show_name {opacity:1;}
*/


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*相本列表
.work_info_page .main_part { max-width:2000px;}
.work_info_page .show_content { padding:0; width:100%;}
.work_info_page .subalbum-menu { text-align:center;}
.work_info_page .subalbum-menu h2 { float:none;}
.work_info_page .pic-list .item { margin:0; padding:10px; width:49%; float:none; display:inline-block;}
@media screen and (max-width: 768px) {
.work_info_page .pic-list .item { width:100%;}
}
.work_info_page .pic-list .show_pic { height:auto; line-height:0;}
.work_info_page .pic-list .show_pic img { max-width:100%; max-height:100%;}
.work_info_page .pic-list .item a { max-width:100%; pointer-events: none; cursor: default; } 取消連結被點擊效果
*/


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */





@media screen and (max-width: 768px) {
/* 開啟手機板下方按鈕所需設定 */
#bottom_menu {}
.footer.with_shopping_mode { padding:30px 0 70px; }
#to_top { bottom:60px;}
}

@media screen and (max-width: 600px) { 
}




